//
// Created by zx on 2021/8/10.
//

#include "verifier.h"
verifier::verifier(const shuttler_verifier& left,const shuttler_verifier& right)
{
    m_left_shutter_verifier=left;
    m_right_shutter_verifier=right;
}

Error_manager verifier::verify(pcl::PointCloud<pcl::PointXYZ>::Ptr cloud)
{
    Error_manager code=m_left_shutter_verifier.verify(cloud);
    if(code!=SUCCESS)
        return code;
    code=m_right_shutter_verifier.verify(cloud);
    return code;
}