//
// Created by zx on 2021/8/17.
//

#ifndef SHUTTER_VERIFY_VERIFY_LIDAR_CALIBER_H_
#define SHUTTER_VERIFY_VERIFY_LIDAR_CALIBER_H_

#include <pcl/point_types.h>
#include <pcl/point_cloud.h>
#include <pcl/io/pcd_io.h>
class lidar_caliber
{
 public:
    lidar_caliber();
    static bool caliber(pcl::PointCloud<pcl::PointXYZ>::Ptr cloud_center,pcl::PointCloud<pcl::PointXYZ>::Ptr cloud1
                ,pcl::PointCloud<pcl::PointXYZ>::Ptr cloud2,Eigen::Matrix<float,6,1>& transform1
                ,Eigen::Matrix<float,6,1>& transfoem2);

    static Eigen::Matrix4f match(pcl::PointCloud<pcl::PointXYZ>::Ptr cloud_center,pcl::PointCloud<pcl::PointXYZ>::Ptr cloud
                ,Eigen::Matrix<float, 6,1> init_transform);
};


#endif //SHUTTER_VERIFY_VERIFY_LIDAR_CALIBER_H_
